Bug 849219 - spacewalk-channel displays inappropriate message when restrict action takes place.
spacewalk-channel displays inappropriate message when restrict action takes...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.8
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-08-17 14:00 EDT by Stephen Herr
Modified: 2013-05-21 06:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: spacewalk-backend-1.8.61-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 849150
Environment:
Last Closed: 2012-11-01 12:18:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2012-08-17 14:00:33 EDT
+++ This bug was initially created as a clone of Bug #849150 +++

Description of problem:
Command "spacewalk-channel" seems to be too verbose when simply restricts the user from a certain action. In this case messages like "An error has occurred while processing your request." are inappropriate.

Version-Release number of selected component (if applicable):
rhn-setup-1.0.0-71.el6.noarch.rpm
rhn-setup-0.4.20-78.el5


How reproducible:
100%

Steps to Reproduce:
1. stalltie-sync -c rhel-x86_64-server-6 -c rhn-tools-rhel-x86_64-server-6 -c redhat-rhn-proxy-5.4-server-x86_64-6
2. Register client to Satellite
3. Execute the following command on the client.
  #spacewalk-channel --add -c redhat-rhn-proxy-5.4-server-x86_64-6 --user admin --password nimda
  
Actual results:

# spacewalk-channel --add -c redhat-rhn-proxy-5.4-server-x86_64-6 --user admin --password nimda
Error communicating with server. The message was:

Error Class Code: 73
Error Class Info: Satellite or Proxy channel can not be subscribed.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Expected results:
# spacewalk-channel --add -c redhat-rhn-proxy-5.4-server-x86_64-6 --user admin --password nimda
Error communicating with server. The message was:

Error Class Code: 73
Error Class Info: Satellite or Proxy channel can not be subscribed.

Additional info:

--- Additional comment from sherr@redhat.com on 2012-08-17 13:56:23 EDT ---

This is an incredibly easy thing to fix if we want to pull this into Sat 5.5.

All we have to do is change a rhnFault(73) to rhnFault(73, explain=0).

So there is virtually 0 risk of breaking something else if we're worried about regressions.
Comment 1 Stephen Herr 2012-08-17 14:23:04 EDT
Committed to Spacewalk master: 0e51a4c7abcf9a0c4f6119753a43159b4e8054b5
Comment 2 Jan Pazdziora 2012-10-30 15:23:21 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 3 Jan Pazdziora 2012-11-01 12:18:33 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.